--- osd.c.~1.7.~	2007-03-14 19:51:01.000000000 +0200
+++ osd.c	2007-09-01 11:47:04.000000000 +0300
@@ -148,8 +148,12 @@
   }
 }
 
-cXinelibOsd::cXinelibOsd(cXinelibDevice *Device, int x, int y)
+cXinelibOsd::cXinelibOsd(cXinelibDevice *Device, int x, int y, uint Level)
+#if VDRVERSNUM >= 10509
+    : cOsd(x, y, Level), m_IsVisible(true)
+#else
     : cOsd(x, y), m_IsVisible(true)
+#endif
 {
   TRACEF("cXinelibOsd::cXinelibOsd");
 
@@ -341,7 +345,11 @@
   }
 }
 
+#if VDRVERSNUM >= 10509
+cOsd *cXinelibOsdProvider::CreateOsd(int Left, int Top, uint Level)
+#else
 cOsd *cXinelibOsdProvider::CreateOsd(int Left, int Top)
+#endif
 {
   TRACEF("cXinelibOsdProvider::CreateOsd");
 
@@ -350,7 +358,11 @@
   if(cXinelibOsd::m_OsdStack.First())
     LOGMSG("cXinelibOsdProvider::CreateOsd - OSD already open !");
 
+#if VDRVERSNUM >= 10509
+  cXinelibOsd *m_OsdInstance = new cXinelibOsd(m_Device, Left, Top, Level);
+#else
   cXinelibOsd *m_OsdInstance = new cXinelibOsd(m_Device, Left, Top);
+#endif
 
   if(cXinelibOsd::m_OsdStack.First())
     cXinelibOsd::m_OsdStack.First()->Hide();
--- osd.h.~1.3.~	2007-01-06 13:42:58.000000000 +0200
+++ osd.h	2007-09-01 11:47:04.000000000 +0300
@@ -45,7 +45,7 @@
     friend class cXinelibOsdProvider;
 
   public:
-    cXinelibOsd(cXinelibDevice *Device, int x, int y);
+    cXinelibOsd(cXinelibDevice *Device, int x, int y, uint Level = 0);
     virtual ~cXinelibOsd();
 };
 
@@ -59,7 +59,11 @@
     cXinelibOsdProvider(cXinelibDevice *Device);
     virtual ~cXinelibOsdProvider();
 
+#if VDRVERSNUM >= 10509
+    virtual cOsd *CreateOsd(int Left, int Top, uint Level);
+#else
     virtual cOsd *CreateOsd(int Left, int Top);
+#endif
 
     static void RefreshOsd(void);
 };
--- equalizer.c.~1.2.~	2006-08-22 06:45:34.000000000 +0300
+++ equalizer.c	2007-09-01 11:47:04.000000000 +0300
@@ -46,7 +46,11 @@
 {
   tArea areas [] = { {0, 0, OSD_W - 1, OSD_H - 1, 4} };
 
+#if VDRVERSNUM >= 10509
+  m_Osd = cOsdProvider::NewOsd(OSD_X, OSD_Y, 0);
+#else
   m_Osd = cOsdProvider::NewOsd(OSD_X, OSD_Y);
+#endif
 
   if(m_Osd) {
     if (m_Osd->CanHandleAreas(areas, sizeof(areas) / sizeof(tArea) ) == oeOk) {
--- setup_menu.c.~1.34.~	2007-06-19 09:06:22.000000000 +0300
+++ setup_menu.c	2007-09-01 11:47:04.000000000 +0300
@@ -1537,7 +1537,11 @@
   int i;
 
   if(!m_Osd)
+#if VDRVERSNUM >= 10509
+    m_Osd = cOsdProvider::NewOsd(OSD_X, OSD_Y, 0);
+#else
     m_Osd = cOsdProvider::NewOsd(OSD_X, OSD_Y);
+#endif
 
   if(m_Osd) {
     if (m_Osd->CanHandleAreas(areas, sizeof(areas) / sizeof(tArea) ) == oeOk) {
@@ -1636,7 +1640,11 @@
   int x, y, bit = 0;
 
   if(!m_Osd) {
+#if VDRVERSNUM >= 10509
+    m_Osd = cOsdProvider::NewOsd(OSD_X, OSD_Y, 0);
+#else
     m_Osd = cOsdProvider::NewOsd(OSD_X, OSD_Y);
+#endif
 
     if(m_Osd) {
       if (m_Osd->CanHandleAreas(areas, sizeof(areas) / sizeof(tArea) ) == oeOk) {
